import debounce from 'lodash/debounce'
const multiply = function (value: number, ratio = 100) {
  return parseFloat((value * ratio).toPrecision(12))
}

const toFixed = function (number: number, ratio = 100) {
  return Math.round(multiply(number, ratio)) / ratio
}

export default {
  debounce,
  multiply,
  toFixed,
}
